org.eclipse.actf.util.httpproxy.proxy

## Interface IClientStateManager

    public interface IClientStateManager

Interface to hold client state in `IHTTPProxyConnection`

### Method Summary

Methods
`Object` `get(Object stateKey)` Get client state value
`void` `put(Object stateKey, Object stateValue)` Put client state as a set of key and value

### Method Detail

#### put

    void put(Object stateKey,
           Object stateValue)

Put client state as a set of key and value

Parameters:
  `stateKey` - key of the state
  `stateValue` - value of the state

#### get

    Object get(Object stateKey)

Get client state value

Parameters:
  `stateKey` - key of the target state
Returns:
  value of the target state